Форум русскоязычного сообщества Ubuntu


Автор Тема: что с драйвером?  (Прочитано 812 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
что с драйвером?
« : 24 Апрель 2017, 14:09:10 »
Запускаю доту из стим получаю ошибку
required opengl extension gl_ext_texture_compression_s3tc is not supported please update your Opengl driver
перед этим обновил систему, до этого все работало.
Драйвера обновил.
HELP!

Оффлайн ReNzRv

  • Старожил
  • *
  • Сообщений: 2628
    • Просмотр профиля
Re: что с драйвером?
« Ответ #1 : 24 Апрель 2017, 14:18:25 »
lspci -k | grep -A3 -i 'vga\|video\|3d'?

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: что с драйвером?
« Ответ #2 : 24 Апрель 2017, 14:20:26 »
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cayman PRO [Radeon HD 6950]
Subsystem: Hightech Information System Ltd. Cayman PRO [Radeon HD 6950]
Kernel driver in use: radeon
Kernel modules: radeon

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Re: что с драйвером?
« Ответ #3 : 24 Апрель 2017, 14:23:02 »
Драйвера обновил.
glxinfo -B

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: что с драйвером?
« Ответ #4 : 24 Апрель 2017, 14:26:23 »
name of display: :1
display: :1  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: X.Org (0x1002)
    Device: AMD CAYMAN (DRM 2.49.0 / 4.10.0-19-generic, LLVM 4.0.0) (0x6719)
    Version: 17.2.0
    Accelerated: yes
    Video memory: 1024MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.1
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD CAYMAN (DRM 2.49.0 / 4.10.0-19-generic, LLVM 4.0.0)
OpenGL core profile version string: 4.1 (Core Profile) Mesa 17.2.0-devel
OpenGL core profile shading language version string: 4.10
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 3.0 Mesa 17.2.0-devel
OpenGL shading language version string: 1.30
OpenGL context flags: (none)

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.2.0-devel
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00

Оффлайн ReNzRv

  • Старожил
  • *
  • Сообщений: 2628
    • Просмотр профиля
Re: что с драйвером?
« Ответ #5 : 24 Апрель 2017, 14:28:24 »
Играть нужно на винде.

sudo apt update && sudo apt full-upgradeДелал?

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: что с драйвером?
« Ответ #6 : 24 Апрель 2017, 14:31:14 »
Играть нужно на винде.
До этого играл норм было!
Сделал что ты написал
Сущ:1 http://ru.archive.ubuntu.com/ubuntu zesty InRelease
Сущ:2 http://ru.archive.ubuntu.com/ubuntu zesty-updates InRelease                                                 
Сущ:3 http://ru.archive.ubuntu.com/ubuntu zesty-backports InRelease                                               
Пол:4 http://security.ubuntu.com/ubuntu zesty-security InRelease [89,2 kB]                                         
Сущ:5 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu zesty InRelease                                       
Сущ:6 http://archive.canonical.com/ubuntu zesty InRelease                                                         
Игн:7 http://ppa.launchpad.net/thor27-gmail/steam-desktop/ubuntu zesty InRelease                       
Сущ:8 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu zesty InRelease                                 
Ошк:9 http://ppa.launchpad.net/thor27-gmail/steam-desktop/ubuntu zesty Release
  404  Not Found
Чтение списков пакетов… Готово                                       
E: Репозиторий «http://ppa.launchpad.net/thor27-gmail/steam-desktop/ubuntu zesty Release» не содержит файла Release.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, и поэтому по умолчанию он отключён.
N: Смотрите справочную страницу apt-secure(8) о создании репозитория и настройке пользователя.

Я только в доту и играю единственное что мне нужно) Помогите пожалуйста!

Оффлайн ReNzRv

  • Старожил
  • *
  • Сообщений: 2628
    • Просмотр профиля
Re: что с драйвером?
« Ответ #7 : 24 Апрель 2017, 14:37:49 »
Отключи или удали репу thor27-gmail/steam-desktop

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Re: что с драйвером?
« Ответ #8 : 24 Апрель 2017, 14:38:41 »
force_s3tc_enable=true steam steam://rungameid/570

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: что с драйвером?
« Ответ #9 : 24 Апрель 2017, 14:40:42 »
force_s3tc_enable=true steam steam://rungameid/570
Получаю тоже самую ошибку.

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Re: что с драйвером?
« Ответ #10 : 24 Апрель 2017, 14:43:39 »
Получаю тоже самую ошибку.
apt search libtxc-dxtn

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: что с драйвером?
« Ответ #11 : 24 Апрель 2017, 14:45:49 »

[/quote]
apt search libtxc-dxtn[/quote]

Сортировка… Готово
Полнотекстовый поиск… Готово
libtxc-dxtn-dev/zesty,zesty 1.0.1-0.3ubuntu0sarvatt+raring all
  Development files for S3 Texture Compression (S3TC) library

libtxc-dxtn-s2tc/zesty 1.0+git20151227-2 amd64
  Texture compression library for Mesa

libtxc-dxtn-s2tc-bin/zesty 1.0+git20151227-2 amd64
  S2TC texture compression and conversion tools

libtxc-dxtn-s2tc-dev/zesty 1.0+git20151227-2 amd64
  Development files for the S2TC library

libtxc-dxtn-s2tc0/now 0~git20131104-1.1 amd64 [остались файлы настроек]
  (none)

libtxc-dxtn0/zesty 1.0.1-0.3ubuntu0sarvatt+raring amd64
  S3 Texture Compression (S3TC) library

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Re: что с драйвером?
« Ответ #12 : 24 Апрель 2017, 14:46:59 »
sudo apt install libtxc-dxtn-s2tc0 libtxc-dxtn0

Оффлайн ifuser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: что с драйвером?
« Ответ #13 : 24 Апрель 2017, 14:50:08 »
sudo apt install libtxc-dxtn-s2tc0 libtxc-dxtn0
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Заметьте, вместо «libtxc-dxtn-s2tc0» выбирается «libtxc-dxtn-s2tc»
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libtxc-dxtn-s2tc : Конфликтует: libtxc-dxtn0
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Оффлайн Tamer4

  • Активист
  • *
  • Сообщений: 696
    • Просмотр профиля
Re: что с драйвером?
« Ответ #14 : 24 Апрель 2017, 14:52:12 »
А первый устанавливается?
sudo apt install libtxc-dxtn-s2tc0

 

Страница сгенерирована за 0.152 секунд. Запросов: 22.